/******************************************************************************
* macro to test MyClassA                                                      *
******************************************************************************/
//
///////////////////////////
//
// in new root session(s):
//     > .L macroMyClassA.C
//     > Init() 
//     > Test()
//
///////////////////////////

//______________________________________________________________________________
void Init()
{
// load libraries
   gSystem->Load("libMyClassA.so");
}//Init

//______________________________________________________________________________
void Test()
{
   TFile *file = 0;
   file = new TFile("MyClassA.root", "RECREATE", "Test MyClassA");

   MyClassA *classA = new MyClassA();

   classA->Test("MyTest");
   classA->Write("", TObject::kWriteDelete);
   
   file->Flush();

   delete classA;
   delete file;
}//Test
